# --------------------------------------------------------
# Databza : `kniznica`
# --------------------------------------------------------
CREATE DATABASE kniznica;
# --------------------------------------------------------
CREATE TABLE knihy (
  id int(11) NOT NULL auto_increment PRIMARY KEY,
  nazov varchar(255) default NULL,
  autor varchar(255) default NULL,
  prekladatel varchar(50) default NULL,
  isbn varchar(25) default NULL,
  vydavatel varchar(50) default NULL,
  rok_vydania year(4) default NULL,
  anotacia text
);
# --------------------------------------------------------
CREATE TABLE vytlacky (
  id int(11) NOT NULL auto_increment PRIMARY KEY,
  id_knihy int(11) NOT NULL default '0',
  ident varchar(10) NOT NULL default ''
);
# --------------------------------------------------------
CREATE TABLE citatelia (
  id int(11) NOT NULL auto_increment PRIMARY KEY,
  meno varchar(50) NOT NULL default '',
  adresa varchar(50) NOT NULL default '',
  telefon varchar(20) default NULL,
  email varchar(40) default NULL,
  clenstvo_od date default NULL,
  zaplatene_do date default NULL
);
# --------------------------------------------------------
CREATE TABLE vypozicky (
  id int(11) NOT NULL auto_increment PRIMARY KEY,
  id_citatel int(11) NOT NULL default '0',
  id_vytlacok int(11) NOT NULL default '0',
  vypozicane date default NULL,
  doba int(11) default '31'
);
# --------------------------------------------------------
CREATE TABLE archiv (
  id int(11) NOT NULL auto_increment PRIMARY KEY,
  id_citatel int(11) NOT NULL default '0',
  id_vytlacok int(11) NOT NULL default '0',
  vypozicane date default NULL,
  doba int(11) default '31',
  vratene date default NULL
);
# --------------------------------------------------------
CREATE TABLE users (
  username varchar(16) binary NOT NULL default '',
  pwd varchar(32) NOT NULL default ''
);
# --------------------------------------------------------
# meno: admin
# heslo: admin
INSERT INTO users (username, pwd)
       VALUES ('admin', '21232f297a57a5a743894a0e4a801fc3');
# --------------------------------------------------------

